View Issue Details

IDProjectCategoryView StatusLast Update
0006167Talermerchant backend API (HTTP specification)public2020-10-03 14:10
Reportergrote Assigned ToMS  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006167: Transaction history should include information about refundability
DescriptionRefunding transactions is only possible under certain conditions, e.g. deadlines not passed and not already refunded full amount.
To improve merchant UI, it would be nice if the TransactionHistory would indicate if a refund is still possible and maybe also for how long and what amount is still available to be refunded.

Then the UI could only offer the refund option for transactions where that is still possible and only allow users to enter an amount that is still possible.
TagsNo tags attached.

Activities

grote

2020-09-04 14:47

developer   ~0016848

This might have been resolved already.

Florian Dold

2020-09-04 17:38

manager   ~0016859

See https://docs.taler.net/core/api-merchant.html#get--private-orders

The OrderHistoryEntry indeed contains a "refundable" flag.

Issue History

Date Modified Username Field Change
2020-04-07 20:06 grote New Issue
2020-04-07 20:06 grote Status new => assigned
2020-04-07 20:06 grote Assigned To => Marcello Stanisci
2020-09-04 14:39 MS Assigned To Marcello Stanisci => MS
2020-09-04 14:47 grote Note Added: 0016848
2020-09-04 17:38 Florian Dold Status assigned => resolved
2020-09-04 17:38 Florian Dold Resolution open => fixed
2020-09-04 17:38 Florian Dold Note Added: 0016859
2020-10-03 14:08 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8